Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QHostAddress.SpecialAddress

    java.lang.Object
      java.lang.Enum<QHostAddress.SpecialAddress>
          com.trolltech.qt.network.QHostAddress.SpecialAddress

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHostAddress.SpecialAddress>

Enclosing class:
  QHostAddress

    public static enum QHostAddress.SpecialAddress

extends java.lang.Enum<QHostAddress.SpecialAddress>
implements QtEnumerator

Press link for info on QHostAddress.SpecialAddress

Enum Constant Summary
`Any` The IPv4 any-address.
`AnyIPv6` The IPv6 any-address.
`Broadcast` The IPv4 broadcast address.
`LocalHost` The IPv4 localhost address.
`LocalHostIPv6` The IPv6 localhost address.
`Null` The null address object.

Method Summary
`static QHostAddress.SpecialAddress` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHostAddress.SpecialAddress` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHostAddress.SpecialAddress[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Null

    public static final QHostAddress.SpecialAddress Null

  The null address object. Equivalent to `QHostAddress`.

### Broadcast

    public static final QHostAddress.SpecialAddress Broadcast

  The IPv4 broadcast address. Equivalent to `QHostAddress`("255.255.255.255").

### LocalHost

    public static final QHostAddress.SpecialAddress LocalHost

  The IPv4 localhost address. Equivalent to `QHostAddress`("127.0.0.1").

### LocalHostIPv6

    public static final QHostAddress.SpecialAddress LocalHostIPv6

  The IPv6 localhost address. Equivalent to `QHostAddress`("::1").

### Any

    public static final QHostAddress.SpecialAddress Any

  The IPv4 any-address. Equivalent to `QHostAddress`("0.0.0.0").

### AnyIPv6

    public static final QHostAddress.SpecialAddress AnyIPv6

  The IPv6 any-address. Equivalent to `QHostAddress`("::").

Method Detail

### values

    public static final QHostAddress.SpecialAddress[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHostAddress.SpecialAddress c : QHostAddress.SpecialAddress.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHostAddress.SpecialAddress valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHostAddress.SpecialAddress resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD